#!/usr/bin/env ruby

language = "de"

locstrings = Hash.new
locstrings["en"] = {
	"label" => "If the resolution is correct, please press \"Accept\", otherwise click \"Cancel\" and choose different settings. This window will be closed after 10 seconds."
}
locstrings["de"] = {
	"label" => "Falls Sie mit dieser Bildschirmauflösung starten wollen, klicken Sie bitte \"Anwenden\". Wenn Bildschirmauflösung oder Schriftgröße nicht passen, klicken Sie \"Abbrechen\" und wählen Sie andere Werte. Dieses Fenster wird nach 10 Sekunden geschlossen."
}

require 'gtk2'
require 'timeout'

window = Gtk::Window.new("Monitortest")
window.signal_connect("destroy") { Gtk.main_quit }

label = Gtk::Label.new(locstrings[language]["label"])
label.wrap = true

layout_box = Gtk::VBox.new(false, 2)
button_box = Gtk::HBox.new(true, 2)
apply = Gtk::Button.new(Gtk::Stock::APPLY)
cancel = Gtk::Button.new(Gtk::Stock::CANCEL)

apply.signal_connect("clicked") {
	system("cp /var/run/lesslinux/xorg_vars.test /var/run/lesslinux/xorg_vars")
	Gtk.main_quit
}

cancel.signal_connect("clicked") { Gtk.main_quit }

button_box.pack_start(cancel, false, false,2)
button_box.pack_start(apply, false, false,2)

layout_box.pack_start(label, false, false, 2)
layout_box.pack_start(Gtk::HSeparator.new)
layout_box.pack_start(button_box, false, false, 2)
window.border_width = 10
window.add(layout_box)
window.allow_grow = false
window.allow_shrink = false
window.modal = true
window.show_all

Gtk.timeout_add(10000) {Gtk.main_quit}
Gtk.main
